## jeepyb 0%2B20190513

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

DEBVERS         ?= $(shell dpkg-parsechangelog -SVersion)
VERSION         ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')
DEBFLAVOR       ?= $(shell dpkg-parsechangelog -SDistribution)
DEBPKGNAME      ?= $(shell dpkg-parsechangelog -SSource)
UPSTREAM_GIT    ?= https://github.com/openstack/$(DEBPKGNAME).git
GIT_TAG         ?= $(shell echo '$(VERSION)' | sed -e 's/~/_/')
MANIFEST_EXCLUDE_STANDARD ?= $(DEBPKGNAME)
DEBIAN_BRANCH   ?= $(shell cat debian/gbp.conf | grep debian-branch | cut -d'=' -f2 | awk '{print $1}')

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' -e 's/+dfsg1//' | head -n 1)

# Parse version from debian changelog (or pbr will try to use Git commit)
export PBR_VERSION=$(DEB_VERSION_UPSTREAM)
export PYBUILD_NAME=jeepyb
export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/share/jeepyb

VER_PARSED=$(shell echo 20170923|awk -F '' '{printf $$1$$2$$3$$4 "-" $$5$$6 "-" $$7$$8}')

%:
	dh $@ --with python3 --buildsystem=pybuild

get-orig-source:
	git clone https://github.com/openstack-infra/jeepyb.git $(PYBUILD_NAME)-$(DEB_VERSION_UPSTREAM)
	(cd $(PYBUILD_NAME)-$(DEB_VERSION_UPSTREAM) && git checkout `git rev-list -n 1 --before="$(VER_PARSED) 23:59" master`)
	tar czvf ../$(PYBUILD_NAME)_$(DEB_VERSION_UPSTREAM).orig.tar.gz $(PYBUILD_NAME)-$(DEB_VERSION_UPSTREAM)/*
	rm -rf $(PYBUILD_NAME)-$(DEB_VERSION_UPSTREAM)

## jeepyb 0+20151217

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6

argparse
gerritlib>=0.3.0
PyMySQL
paramiko>=1.13.0
PyGithub
PyYAML>=3.1.0
pkginfo
PyRSS2Gen
python-swiftclient>=2.2.0
requests!=2.8.0,>=2.5.2
six>=1.9.0

=== debian/changelog ===
jeepyb (0+20151217-1) unstable; urgency=medium

  * New snapshot release
    - pbr>=1.6 instead of pbr>=0.6,!=0.7,<1.0
    - PyMySQL instead of MySQL-python
    - paramiko is now >=1.13.0
    - PyYAML is now >=3.1.0
    - python-swiftclient is now >=2.2.0
    - six>=1.9.0 instead of >=1.7.0
  * python-pygithub renamed to python-github (Closes: #810577)

 -- Mathieu Parent <sathieu@debian.org>  Wed, 13 Jan 2016 22:52:25 +0100

jeepyb (0+20150929-2) unstable; urgency=medium

  * Build on pbr >= 1.0 too (Closes: #803191)
  * Build-depends on python-setuptools

 -- Mathieu Parent <sathieu@debian.org>  Sun, 01 Nov 2015 22:55:33 +0100

jeepyb (0+20150929-1) unstable; urgency=medium

  * New snapshot release
  * d/watch removed: Upstream has made no release (yet?)

 -- Mathieu Parent <sathieu@debian.org>  Wed, 07 Oct 2015 20:36:57 +0200

jeepyb (0+20150701-2) unstable; urgency=medium

  * Add copyright for jeepyb/cmd/trivial_rebase.py (BSD-3-Clause)

 -- Mathieu Parent <sathieu@debian.org>  Wed, 29 Jul 2015 20:51:47 +0200

jeepyb (0+20150701-1) unstable; urgency=low

  * Initial release. Closes: #793083

 -- Mathieu Parent <sathieu@debian.org>  Tue, 28 Jul 2015 20:32:16 +0200

=== debian/control ===
Source: jeepyb
Section: python
Priority: optional
Maintainer: Mathieu Parent <sathieu@debian.org>
Build-Depends: debhelper (>=9),
               dh-python,
               python-all,
               python-argparse,
               python-gerritlib (>=0.3.0),
               python-pymysql,
               python-paramiko (>=1.13.0),
               python-pbr (>=1.6),
               python-github,
               python-pyrss2gen,
               python-setuptools,
               python-six (>=1.9.0),
               python-swiftclient (>=2.2.0),
               python-yaml (>=3.1.0)
Standards-Version: 3.9.6
Homepage: http://git.openstack.org/cgit/openstack-infra/jeepyb

Package: jeepyb
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, python, ${python:Depends}
Description: tools for managing gerrit projects and external sources
 jeepyb is a collection of tools which make managing a gerrit easier.
 .
 Specifically, management of gerrit projects and their associated upstream
 integration with things like github, launchpad, and storyboard.

=== debian/rules ===
#!/usr/bin/make -f

# Parse version from debian changelog (or pbr will try to use Git commit)
export PBR_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | cut -f1 -d '-')
export PYBUILD_NAME=jeepyb
export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/share/jeepyb --install-lib=/usr/share/jeepyb

%:
	dh $@ --with python2 --buildsystem=pybuild

## jeepyb 0+20170923

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # process, which may cause wedges in the gate later.
 pbr>=1.6
 
-argparse
 gerritlib>=0.3.0
 PyMySQL
 paramiko>=1.13.0

=== debian/changelog ===
jeepyb (0+20170923-1) unstable; urgency=medium

  * New snapshot release
  * Adopting orphaned package under PAPT (Closes: #881381)
  * d/copyright: add myself for Debian part
  * d/compat: update to version 11
  * d/control:
    - Remove Mathieu Parent from uploaders
    - update standards version to 4.1.3 (no changes)
    - Update Build-Depends to match new release
    - Enable autopkgtest-pkg-python testsuite
  * d/rules: use pkg-info.mk to determine PBR_VERSION
  * d/rules: get-orig-source target

 -- Filip Pytloun <filip@pytloun.cz>  Fri, 05 Jan 2018 13:52:42 +0100

=== debian/control ===
Source: jeepyb
Section: python
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders:
 Filip Pytloun <filip@pytloun.cz>,
Build-Depends:
 debhelper (>=11),
 dh-python,
 python-all,
 python-pbr (>= 0.8.2),
 python-setuptools,
Build-Depends-Indep:
 python-gerritlib (>=0.3.0),
 python-github,
 python-paramiko (>=1.13.0),
 python-pymysql,
 python-pyrss2gen,
 python-six (>=1.9.0),
 python-swiftclient (>=2.2.0),
Standards-Version: 4.1.3
Testsuite: autopkgtest-pkg-python
Homepage: http://git.openstack.org/cgit/openstack-infra/jeepyb
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/jeepyb/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/jeepyb/trunk/

Package: jeepyb
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python:Depends},
Description: tools for managing gerrit projects and external sources
 jeepyb is a collection of tools which make managing a gerrit easier.
 .
 Specifically, management of gerrit projects and their associated upstream
 integration with things like github, launchpad, and storyboard.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Parse version from debian changelog (or pbr will try to use Git commit)
export PBR_VERSION=$(DEB_VERSION_UPSTREAM)
export PYBUILD_NAME=jeepyb
export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/share/jeepyb

VER_PARSED=$(shell echo 20170923|awk -F '' '{printf $$1$$2$$3$$4 "-" $$5$$6 "-" $$7$$8}')

%:
	dh $@ --with python2 --buildsystem=pybuild

get-orig-source:
	git clone https://github.com/openstack-infra/jeepyb.git $(PYBUILD_NAME)-$(DEB_VERSION_UPSTREAM)
	(cd $(PYBUILD_NAME)-$(DEB_VERSION_UPSTREAM) && git checkout `git rev-list -n 1 --before="$(VER_PARSED) 23:59" master`)
	tar czvf ../$(PYBUILD_NAME)_$(DEB_VERSION_UPSTREAM).orig.tar.gz $(PYBUILD_NAME)-$(DEB_VERSION_UPSTREAM)/*
	rm -rf $(PYBUILD_NAME)-$(DEB_VERSION_UPSTREAM)

## jeepyb 0+20190513

=== debian/changelog ===
jeepyb (0+20190513-4) unstable; urgency=medium

  * Team upload.
  * Fix SyntaxWarning (Closes: #1085656)
  * Patch-out usage of python3-six
  * Update standards version to 4.7.2, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 23 Nov 2025 18:51:54 +0100

jeepyb (0+20190513-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 16:56:11 +0100

jeepyb (0+20190513-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Sep 2021 00:21:41 -0400

jeepyb (0+20190513-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Thomas Goirand ]
  * Fix Homepage field.
  * Now using debhelper-compat = 11, rather than d/compat.
  * New snapshot release.
  * Switch the application to Python 3, which is why I'm NMU-ing this.
  * Add hints to PBR so it uses the correct version.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jul 2019 19:42:28 +0200

=== debian/control ===
Source: jeepyb
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Filip Pytloun <filip@pytloun.cz>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-gerritlib,
 python3-github,
 python3-paramiko,
 python3-pymysql,
 python3-pyrss2gen,
 python3-swiftclient,
Standards-Version: 4.7.2
Testsuite: autopkgtest-pkg-python
Homepage: https://opendev.org/opendev/jeepyb/
Vcs-Git: https://salsa.debian.org/python-team/packages/jeepyb.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/jeepyb

Package: jeepyb
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: tools for managing gerrit projects and external sources
 jeepyb is a collection of tools which make managing a gerrit easier.
 .
 Specifically, management of gerrit projects and their associated upstream
 integration with things like github, launchpad, and storyboard.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,16 @@
 #!/usr/bin/make -f
 include /usr/share/dpkg/pkg-info.mk
+
+DEBVERS         ?= $(shell dpkg-parsechangelog -SVersion)
+VERSION         ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')
+DEBFLAVOR       ?= $(shell dpkg-parsechangelog -SDistribution)
+DEBPKGNAME      ?= $(shell dpkg-parsechangelog -SSource)
+UPSTREAM_GIT    ?= https://github.com/openstack/$(DEBPKGNAME).git
+GIT_TAG         ?= $(shell echo '$(VERSION)' | sed -e 's/~/_/')
+MANIFEST_EXCLUDE_STANDARD ?= $(DEBPKGNAME)
+DEBIAN_BRANCH   ?= $(shell cat debian/gbp.conf | grep debian-branch | cut -d'=' -f2 | awk '{print $1}')
+
+export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' -e 's/+dfsg1//' | head -n 1)
 
 # Parse version from debian changelog (or pbr will try to use Git commit)
 export PBR_VERSION=$(DEB_VERSION_UPSTREAM)
@@ -9,7 +20,7 @@
 VER_PARSED=$(shell echo 20170923|awk -F '' '{printf $$1$$2$$3$$4 "-" $$5$$6 "-" $$7$$8}')
 
 %:
-	dh $@ --with python2 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 get-orig-source:
 	git clone https://github.com/openstack-infra/jeepyb.git $(PYBUILD_NAME)-$(DEB_VERSION_UPSTREAM)
